Project

General

Profile

Actions

提案 #1551

closed

gtk3: ruby-gnome 3.4.9でも動くようにする

Added by Shibafu Midorino 6 months ago. Updated 6 months ago.

Status:
終了
Priority:
通常
Assignee:
-
Target version:
プラグイン名:
ブランチ:
topic/1551-ruby-gnome-3.4.9

Description

なんか思ったよりruby-gnome 3.5.0がリリースされないので、ruby-gnome 3.4.9でも動くような対策をアプリ側で講じても良さそうです。

頼むからチケット書いた翌朝とかに出てくれ〜

Actions #1

Updated by Shibafu Midorino 6 months ago

  • Status changed from 分類待ち to 実装待ち
Actions #2

Updated by Shibafu Midorino 6 months ago

  • Status changed from 実装待ち to レビュー待ち
  • ブランチ set to topic/1551-ruby-gnome-3.4.9
  1. https://github.com/ruby-gnome/ruby-gnome/pull/1433 をモンキーパッチで適用
  2. ruby-gnome 3.5.0 では PangoCairo 配下にある定数群が ruby-gnome 3.4.9以下では Pango 配下にあるので、エイリアスを張った
Actions #3

Updated by toshi_a 初音 6 months ago

  • Status changed from レビュー待ち to 終了

残念ながらmerge

Actions

Also available in: Atom PDF